BlendFi
APIWebhooks

List webhook deliveries for an endpoint (cursor-paginated)

GET
/v1/webhook_endpoints/{id}/deliveries
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

limit?integer
Default25
Range1 <= value <= 100
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.blendfi.com.br/v1/webhook_endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
      "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",
      "status": "pending",
      "attempts": 0,
      "last_response_status": 0,
      "last_error": "string",
      "last_attempted_at": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "next_cursor": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}